.\" $NetBSD: acpibat.4,v 1.6 2008/04/30 13:10:53 martin Exp $
.\"
.\" Copyright (c) 2002, 2004 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 4, 2007
.Dt ACPIBAT 4
.Os
.Sh NAME
.Nm acpibat
.Nd ACPI Control Method Battery
.Sh SYNOPSIS
.Cd "acpibat* at acpi?"
.Sh DESCRIPTION
The
.Nm
driver supports ACPI Control Method Battery.
.Pp
The status can be monitored by
.Xr envsys 4
API or
.Xr envstat 8
command.
.Sh EVENTS
The
.Nm
driver is able to send events to
.Xr powerd 8
when capacity state has been changed.
The new state will be reported as the
.Em fourth
argument to the
.Pa /etc/powerd/scripts/sensor_battery
script.
If a custom capacity limit was set via
.Xr envstat 8 ,
the
.Nm
driver will report a
.Em user-capacity
event to the same script when current capacity limit has been reached.
.Sh SEE ALSO
.Xr acpi 4 ,
.Xr envsys 4 ,
.Xr envstat 8 ,
.Xr powerd 8
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.6 .
.Sh BUGS
Smart Battery Specification-based batteries are not supported.
